# Class GetMyOffersRequest

#### Hierarchy

- unknown
  - GetMyOffersRequest

- Defined in src/protobuf/grpc_pb.d.ts:1464
- Defined in src/protobuf/grpc_pb.d.ts:1479

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
getDirection
serializeBinary
setCurrencyCode
setDirection
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetMyOffersRequest(): GetMyOffersRequest

- #### Returns GetMyOffersRequest

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1468

### getDirection

- getDirection(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1465

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1471

### setCurrencyCode

- setCurrencyCode(value: string): GetMyOffersRequest

- #### Parameters

  - ##### value: string

  #### Returns GetMyOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1469

### setDirection

- setDirection(value: string): GetMyOffersRequest

- #### Parameters

  - ##### value: string

  #### Returns GetMyOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1466

### toObject

- toObject(includeInstance?: boolean): GetMyOffersRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetMyOffersRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1472

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOffersRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1475

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOffersRequest, reader: BinaryReader): GetMyOffersRequest

- #### Parameters

  - ##### message: GetMyOffersRequest

  - ##### reader: BinaryReader

  #### Returns GetMyOffersRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1476

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOffersRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetMyOffersRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1474

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetMyOffersRequest): GetMyOffersRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOffersRequest

  #### Returns GetMyOffersRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1473

Generated using TypeDoc